/* ファーストビュー */
.fv {
  position: relative;
  display: block;
  padding-top: 60px;
  height: 70vh;
  width: 100%;
  background: url(../images/fv.webp);
  background-size: cover;
  color: var(--white);
}
.fv-comment {
  max-width: 800px;
  position: absolute;
  top: 55%;
  left: -30%;
  right: 0;
  bottom: 0;
  transform: translateY(-50%);
  margin: auto;
}
.fv-comment p {
  padding: 10px;
}
.fv-txt {
  font-size: 2em;
  color: var(--white);
  text-align: left;
  justify-content: center;
  margin: 0 auto;
  max-width: 900px;
  font-size: 1.5em;
  font-weight: 700;
  padding: 40px 10px;
  position: relative;
  height: 1em; /* 高さを固定 */
  overflow: hidden;
}
.fv-txt .fv-txt-animation {
  font-size: 1.4em;
  position: absolute;
  opacity: 0; /* 初期状態で透明 */
  transition: opacity 0.2s ease; /* フェードのトランジション */
  animation: fade 30s linear infinite;
}
.fv-txt .fv-txt-animation span {
  color: var(--gold);
}
.fv-txt .fv-txt-animation:nth-child(1) {
  animation-delay: 0s;
}
.fv-txt .fv-txt-animation:nth-child(2) {
  animation-delay: 3s;
}
.fv-txt .fv-txt-animation:nth-child(3) {
  animation-delay: 6s;
}
.fv-txt .fv-txt-animation:nth-child(4) {
  animation-delay: 9s;
}
.fv-txt .fv-txt-animation:nth-child(5) {
  animation-delay: 12s;
}
.fv-txt .fv-txt-animation:nth-child(6) {
  animation-delay: 15s;
}
.fv-txt .fv-txt-animation:nth-child(7) {
  animation-delay: 18s;
}
.fv-txt .fv-txt-animation:nth-child(8) {
  animation-delay: 21s;
}
.fv-txt .fv-txt-animation:nth-child(9) {
  animation-delay: 24s;
}
.fv-txt .fv-txt-animation:nth-child(10) {
  animation-delay: 27s;
}
/* ヘッドラインニュース切り替え（トップページ） */
.fv-news {
  position: fixed;
  top: 75%;
  right: 0;
  width: 400px;
  height: 65px;
  background: var(--white);
  box-shadow: 0 5px 10px var(--black);
  border: 1px solid var(--black);
  color: var(--black);
  border-radius: 10px 0 0 10px;
  overflow-y: hidden;
  padding: 20px;
  transition: all 0.3s;
  z-index: 10;
}
.fv-news a {
  text-decoration: none;
  color: var(--black);
}
.fv-news:hover {
  background: var(--gold-light);
}
.fv-news .news-card {
  position: relative;
  font-family: "Lato", sans-serif;
}
.fv-news .news-card .news-date,
.fv-news .news-card .news-title,
.fv-news .news-card .news-tag {
  padding: 5px;
}
.fv-news .news-card .news-date {
  font-size: 0.8em;
}
.fv-news .news-card .news-title {
  font-size: 0.9em;
  line-height: 1.2;
}
.fv-news .news-card {
  display: none;
}
.fv-news .news-card.appear {
  display: block;
  animation: 2s fadeIn;
}
@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
/* Swiper.js（カルーセルスライダー） */
.swiper {
  height: auto;
  width: 100%;
  min-height: revert;
  min-width: revert;
  margin: 0;
}
/* それぞれのスライド画像 */
.swiper-slide {
  display: flex;
  justify-content: center;
  align-items: center;
  height: auto;
  width: calc(100% / 3);
}
.swiper-slide a,
.swiper-slide img {
  display: block;
  height: auto;
  width: 100%;
  object-fit: cover;
}
/* カルーセルスライダー下部の画像表示位置を示すボタンのデザイン */
.swiper-pagination-bullet {
  width: 12px;
  height: 12px;
  background-color: var(--white);
  opacity: 0.8;
  transition: background-color 0.5s ease, opacity 0.5s ease;
}
.swiper-pagination-bullet-active {
  background-color: var(--gold);
  opacity: 1;
}
/* カルーセルスライダー左右に位置する矢印ボタン */
.swiper-button-prev,
.swiper-button-next {
  position: absolute;
  top: 2px;
  bottom: 0;
  display: flex;
  align-items: center;
  height: 100%;
  color: var(--white);
  background-color: var(--black-shallow);
  padding: 10px;
  transition: background-color 0.3s ease;
}
.swiper-button-prev {
  left: 0; /* 左端に配置 */
}
.swiper-button-next {
  right: 0; /* 右端に配置 */
}
.swiper-button-prev:hover,
.swiper-button-next:hover {
  background-color: var(--gold);
  opacity: 0.9;
}
/* FOR TOMORROW */
.for-tomorrow {
  background-image: linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../images/background_gold.jpg);
  background-size: cover;
}
/* コンセプトコメント */
.concept {
  background: url(../images/index_fc.jpg);
  background-size: cover;
  background-position: center;
}
.concept-txt {
  max-width: 800px;
  justify-content: center;
  margin: 0 auto;
  text-align: center;
  color: var(--black);
  background: var(--silver-shallow);
  padding: 20px;
  font-size: 1.5em;
  font-weight: 700;
  line-height: 3;
  border-radius: 5px;
}
.concept-txt span {
  color: var(--gold-verydeep);
}

@keyframes fade {
  0%,
  1% {
    opacity: 0; /* 最初は透明 */
  }
  2%,
  10% {
    opacity: 1; /* フェードイン */
  }
  11%,
  12% {
    opacity: 0; /* フェードアウト */
  }
}

/* レスポンシブ対応（SP） */
@media screen and (max-width: 1300px) {
  .fv {
    height: 65vh;
    font-size: 12px;
  }
  .fv-comment {
    max-width: 100%;
    left: 10px;
  }
  .fv-txt {
    font-size: 1.2em;
    max-width: 100%;
  }
  .fv-news .news-card .news-date {
    font-size: 1.2em;
  }
  .fv-news .news-card .news-title {
    font-size: 1.3em;
  }
}

@media screen and (max-width: 1100px) {
  .fv {
    background: url(../images/fv_sp.webp);
    background-size: cover;
  }
}

@media screen and (max-width: 570px) {
  .fv-news {
    width: 80%;
    top: 78%;
    height: 50px;
    padding: 10px;
    font-size: 14px;
  }
  .fv-news .news-card .news-date {
    font-size: 0.8em;
  }
  .fv-news .news-card .news-title {
    font-size: 0.9em;
  }
  .swiper-button-prev,
  .swiper-button-next {
    display: none;
  }
  .concept-txt {
    margin: 0 20px;
    text-align: center;
    color: var(--black);
    background: var(--silver-shallow);
    padding: 20px;
    font-size: 0.9em;
    font-weight: 700;
    line-height: 2.5;
    border-radius: 5px;
  }
}
